Lavalite package that provides pricebook management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/pricebook`.

    "litepci/pricebook": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Pricebook\Providers\PricebookServiceProvider::class,

And also add it to alias

    'Pricebook'  => Litepci\Pricebook\Facades\Pricebook::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\PricebookTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Pricebook\Providers\PricebookServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Pricebook\Providers\PricebookServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Pricebook\Providers\PricebookServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/pricebook/{modulename}

**User**

    http://path-to-route-folder/user/pricebook/{modulename}

**Public**

    http://path-to-route-folder/pricebooks


### API endpoints

**List**

    http://path-to-route-folder/api/user/pricebook/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/pricebook/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/pricebook/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/pricebook/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/pricebook/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/pricebook/{modulename}/{slug}
    METHOD: GET