<?php

namespace Litepci\Pricebook\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litepci\Pricebook\Interfaces\PricebookserviceRepositoryInterface;

class PricebookservicePublicController extends BaseController
{
    // use PricebookserviceWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litepci\Pricebookservice\Interfaces\PricebookserviceRepositoryInterface $pricebookservice
     *
     * @return type
     */
    public function __construct(PricebookserviceRepositoryInterface $pricebookservice)
    {
        $this->repository = $pricebookservice;
        parent::__construct();
    }

    /**
     * Show pricebookservice's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $pricebookservices = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('pricebook::pricebookservice.names'))
            ->view('pricebook::public.pricebookservice.index')
            ->data(compact('pricebookservices'))
            ->output();
    }


    /**
     * Show pricebookservice.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $pricebookservice = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($pricebookservice->name . trans('pricebook::pricebookservice.name'))
            ->view('pricebook::public.pricebookservice.show')
            ->data(compact('pricebookservice'))
            ->output();
    }

}
