<?php

namespace Litepci\Pricebook;

use User;

class Pricebook
{
    /**
     * $pricebookservice object.
     */
    protected $pricebookservice;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Pricebook\Interfaces\PricebookserviceRepositoryInterface $pricebookservice)
    {
        $this->pricebookservice = $pricebookservice;
    }

    /**
     * Returns count of pricebook.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.pricebookservice.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->pricebookservice->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\PricebookserviceUserCriteria());
        }

        $pricebookservice = $this->pricebookservice->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('pricebook::' . $view, compact('pricebookservice'))->render();
    }
}
