<?php

namespace Litepci\Pricebook\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PricebookserviceTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Pricebook\Models\Pricebookservice $pricebookservice)
    {
        return [
            'id'                => $pricebookservice->getRouteKey(),
            'key'               => [
                'public'    => $pricebookservice->getPublicKey(),
                'route'     => $pricebookservice->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('pricebook/'.$pricebookservice->getPublicKey()),
                'user'      => guard_url('pricebook/pricebookservice/'.$pricebookservice->getRouteKey()),
            ], 
            'status'            => trans('app.'.$pricebookservice->status),
            'created_at'        => format_date($pricebookservice->created_at),
            'updated_at'        => format_date($pricebookservice->updated_at),
        ];
    }
}